Package org.gitana.platform.client.stack

# Interface Stack

All Superinterfaces:
  `AccessControllable`, `Attachable`, `Copyable`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `PlatformDocument`, `Referenceable`, `Selfable`, `Serializable`, `Teamable`, `TitleDescription`, `Transferable`, `TypedID`

All Known Implementing Classes:
  `StackImpl`

public interface Stack extends PlatformDocument, AccessControllable, Selfable, Teamable, Attachable

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_KEY`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`void`
`assignDataStore(PlatformDataStore datastore)`
`void`
`assignDataStore(PlatformDataStore datastore, String key)`
`boolean`
`existsDataStore(String key)`
`String`
`getKey()`
`org.gitana.platform.support.ResultMap<PlatformDataStore>`
`listDataStores()`
`org.gitana.platform.support.ResultMap<PlatformDataStore>`
`listDataStores(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<LogEntry>`
`listLogEntries()`
`org.gitana.platform.support.ResultMap<LogEntry>`
`listLogEntries(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<PlatformDataStore>`
`queryDataStores(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<PlatformDataStore>`
`queryDataStores(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<LogEntry>`
`queryLogEntries(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<LogEntry>`
`queryLogEntries(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`DataStore`
`readDataStore(String key)`
`LogEntry`
`readLogEntry(String logEntryId)`
`void`
`setKey(String key)`
`void`
`unassignDataStore(String key)`

### Methods inherited from interface org.gitana.platform.client.support.AccessControllable

`getACL, getACL, getAuthorityGrants, grant, grant, hasAuthority, hasAuthority, hasPermission, hasPermission, revoke, revoke, revokeAll, revokeAll`

### Methods inherited from interface org.gitana.platform.client.attachment.Attachable

`deleteAttachment, deleteAttachment, downloadAttachment, downloadAttachment, getDownloadUri, listAttachments, uploadAttachment, uploadAttachment, uploadAttachment, uploadAttachments, uploadAttachments`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.team.Teamable

`createTeam, createTeam, deleteTeam, getOwnersTeam, getTeamableBaseUri, listTeams, readTeam`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Field Details

### FIELD_KEY

static final String FIELD_KEY

See Also:
  - Constant Field Values

## Method Details

### getKey

String getKey()

### setKey

void setKey(String key)

### listLogEntries

org.gitana.platform.support.ResultMap<LogEntry> listLogEntries()

### listLogEntries

org.gitana.platform.support.ResultMap<LogEntry> listLogEntries(org.gitana.platform.support.Pagination pagination)

### queryLogEntries

org.gitana.platform.support.ResultMap<LogEntry> queryLogEntries(com.fasterxml.jackson.databind.node.ObjectNode query)

### queryLogEntries

org.gitana.platform.support.ResultMap<LogEntry> queryLogEntries(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

### readLogEntry

LogEntry readLogEntry(String logEntryId)

### assignDataStore

void assignDataStore(PlatformDataStore datastore)

### assignDataStore

void assignDataStore(PlatformDataStore datastore, String key)

### unassignDataStore

void unassignDataStore(String key)

### listDataStores

org.gitana.platform.support.ResultMap<PlatformDataStore> listDataStores()

### listDataStores

org.gitana.platform.support.ResultMap<PlatformDataStore> listDataStores(org.gitana.platform.support.Pagination pagination)

### queryDataStores

org.gitana.platform.support.ResultMap<PlatformDataStore> queryDataStores(com.fasterxml.jackson.databind.node.ObjectNode query)

### queryDataStores

org.gitana.platform.support.ResultMap<PlatformDataStore> queryDataStores(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

### existsDataStore

boolean existsDataStore(String key)

### readDataStore

DataStore readDataStore(String key)